//
// C++ Implementation: clientstream_test
//
// Description: 
//
//
// Author: Kopete Developers <kopete-devel@kde.org>, (C) 2004
// Licensed under the GNU General Public License

#ifndef logintest_h
#define logintest_h

#include <tqglobal.h>
#include <tqapplication.h>
#include <tqtimer.h>

#include "oscarclientstream.h"
#include "oscarconnector.h"
#include "client.h"
#include "connection.h"
#include "coreprotocol.h"

#define TQT_FATAL_ASSERT 1

class LoginTest : public TQApplication
{
TQ_OBJECT
  
public:
	LoginTest(int argc, char ** argv);
	
	~LoginTest();
	
	bool isConnected() { return connected; }

public slots:
	void slotDoTest();
	void runUserInfoTest();	
	void slotConnected();
	
	//void slotWarning(int warning);

	//void slotsend(int layer);

private:
	KNetworkConnector *myConnector;
	ClientStream *myTestObject;
	Client* myClient;
	Connection* myConnection;
	
	bool connected;
};

#endif
